<template>
  <div class="card__row">
    <slot />
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

export default defineComponent({
  name: 'Row'
})
</script>

<style lang="scss" scoped>
.card {
  &__row {
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 45px;
    @media (min-width: 575.98px) {
      grid-template-columns: 1fr 1fr;
      grid-row-gap: 30px;
      grid-column-gap: 30px;
    }
    @media (min-width: 991.98px) {
      grid-template-columns: 1fr 1fr 1fr;
      grid-row-gap: 55px;
      grid-column-gap: 35px;
    }
  }
}
</style>
